[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: FC-6: automake-1.9 on ppc



On Tue, Oct 02, 2007 at 11:29:47AM +0200, Alain PORTAL wrote:
> Hi,
> 
> PikLoops failed to build on ppc arch for FC-6 because aclocal-1.9 and 
> automake-1.9 were not found:
> http://buildsys.fedoraproject.org/logs/fedora-6-extras/36512-pikloops-0.2.4-1.fc6/
> 
> Can somebody help me to fix?

There is more than one way to fix such issues, but in that case it is 
a bit strange that autotools are rerun since you didn't patch the
corresponding files (as far as I can tell from looking at the build 
log). Maybe the timestamps are not right in the upstream tarball? 
The make commands calling the autotools should only be called if a 
resulting file is older than the file it comes from.

A ugly workaround -- but I doubt it is right in that case -- could also
be to package automake19 and BuildRequires it.

--
Pat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]